Package org.apache.solr.client.solrj.util

## Class SolrBasicAuthentication

- java.lang.Object
- - org.apache.solr.client.solrj.util.SolrBasicAuthentication

All Implemented Interfaces:
  `org.eclipse.jetty.client.api.Authentication`

    public class SolrBasicAuthentication
    extends Object
    implements org.eclipse.jetty.client.api.Authentication

BasicAuthentication that does not care about uri and realm

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.client.api.Authentication

`org.eclipse.jetty.client.api.Authentication.HeaderInfo, org.eclipse.jetty.client.api.Authentication.Result`

### Field Summary

### Fields inherited from interface org.eclipse.jetty.client.api.Authentication

`ANY_REALM`

### Constructor Summary

Constructors
`SolrBasicAuthentication​(String user, String password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jetty.client.api.Authentication.Result` `authenticate​(org.eclipse.jetty.client.api.Request request, org.eclipse.jetty.client.api.ContentResponse response, org.eclipse.jetty.client.api.Authentication.HeaderInfo headerInfo, org.eclipse.jetty.util.Attributes context)`
`boolean` `matches​(String type, URI uri, String realm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrBasicAuthentication

    public SolrBasicAuthentication​(String user,
                                   String password)

### Method Detail

#### matches

    public boolean matches​(String type,
                           URI uri,
                           String realm)

Specified by:
  `matches` in interface `org.eclipse.jetty.client.api.Authentication`

#### authenticate

    public org.eclipse.jetty.client.api.Authentication.Result authenticate​(org.eclipse.jetty.client.api.Request request,
                                                                           org.eclipse.jetty.client.api.ContentResponse response,
                                                                           org.eclipse.jetty.client.api.Authentication.HeaderInfo headerInfo,
                                                                           org.eclipse.jetty.util.Attributes context)

Specified by:
  `authenticate` in interface `org.eclipse.jetty.client.api.Authentication`